Last Comment Bug 700959 - Enable incremental linking on 64-bit Windows, but not on 32-bit
: Enable incremental linking on 64-bit Windows, but not on 32-bit
Status: RESOLVED FIXED
fixed-in-bs [qa-]
: regression
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: x86 Windows Server 2003
: -- normal (vote)
: mozilla11
Assigned To: Siddharth Agarwal [:sid0] (inactive)
:
Mentors:
Depends on: 653662
Blocks: 657571 696627 703852
  Show dependency treegraph
 
Reported: 2011-11-09 00:13 PST by Serge Gautherie (:sgautherie)
Modified: 2011-12-28 14:17 PST (History)
5 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
patch (1.14 KB, patch)
2011-11-09 04:26 PST, Siddharth Agarwal [:sid0] (inactive)
no flags Details | Diff | Splinter Review
better patch [Checked in: Comment 10 & 11] (1.11 KB, patch)
2011-11-09 05:11 PST, Siddharth Agarwal [:sid0] (inactive)
ted: review+
asa: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Serge Gautherie (:sgautherie) 2011-11-09 00:13:21 PST
Per bug 653662 and bug 696627 discussions.
Comment 1 Serge Gautherie (:sgautherie) 2011-11-09 00:22:18 PST
Fwiw:

(In reply to neil@parkwaycc.co.uk from bug 653662 comment #24)
> What's actually tipping the ilk over the limit? MOZ_DEBUG is a sledgehammer,
> so if you do subsequently tweak the condition you might want to consider
> conditioning on MOZ_DEBUG_SYMBOLS or MOZ_OPTIMIZE instead as appropriate.
Comment 2 Siddharth Agarwal [:sid0] (inactive) 2011-11-09 04:26:29 PST
Created attachment 573156 [details] [diff] [review]
patch

http://social.msdn.microsoft.com/Forums/en-US/vcgeneral/thread/c34d5c37-ca4a-4580-9c7c-4379a8c76d1f/ indicates that enabling it should be fine on VC9/64 too.
Comment 3 Siddharth Agarwal [:sid0] (inactive) 2011-11-09 05:11:03 PST
Created attachment 573163 [details] [diff] [review]
better patch
[Checked in: Comment 10 & 11]
Comment 4 Ted Mielczarek [:ted.mielczarek] 2011-11-10 10:40:41 PST
Comment on attachment 573163 [details] [diff] [review]
better patch
[Checked in: Comment 10 & 11]

Review of attachment 573163 [details] [diff] [review]:
-----------------------------------------------------------------

Ugh. GNU Make makes me sad. :-(
Comment 5 Matheus Kerschbaum 2011-11-10 14:50:41 PST
Can we take this patch on Aurora? Otherwise some supported build setups won't work for some people in fx10.
Comment 6 Siddharth Agarwal [:sid0] (inactive) 2011-11-10 21:14:35 PST
https://hg.mozilla.org/projects/build-system/rev/a7b08c15904b
Comment 7 Siddharth Agarwal [:sid0] (inactive) 2011-11-10 21:16:26 PST
If this needs to land in Aurora urgently could someone else land it please? I'm on mobile internet until Monday and don't have a fresh Aurora checkout.
Comment 8 Siddharth Agarwal [:sid0] (inactive) 2011-11-10 21:17:29 PST
Oh, and this should be low risk enough because it doesn't affect any tinderbox builds.
Comment 9 Serge Gautherie (:sgautherie) 2011-11-16 02:01:10 PST
Ftr, mozilla-beta is not affected (yet):
http://mxr.mozilla.org/mozilla-beta/source/toolkit/library/Makefile.in#131
Comment 10 Gregory Szorc [:gps] 2011-11-18 11:43:35 PST
https://hg.mozilla.org/mozilla-central/rev/a7b08c15904b
Comment 11 Siddharth Agarwal [:sid0] (inactive) 2011-11-19 01:23:17 PST
https://hg.mozilla.org/releases/mozilla-aurora/rev/dfc153c765b8
Comment 12 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2011-12-28 14:17:30 PST
Marking qa- as I don't think this is something QA needs to verify. Please set to qa+ if this is not the case.

Note You need to log in before you can comment on or make changes to this bug.